Bug 1243111 - audit FTBFS during stage2 bootstrap - please, make the zos-remote plugin optional
Summary: audit FTBFS during stage2 bootstrap - please, make the zos-remote plugin opti...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audit   
(Show other bugs)
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: fedora-bootstrap
TreeView+ depends on / blocked
 
Reported: 2015-07-14 19:28 UTC by Jaromír Cápík
Modified: 2016-02-01 02:01 UTC (History)
2 users (show)

Fixed In Version: audit-2.4.3-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 01:56:43 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaromír Cápík 2015-07-14 19:28:55 UTC
Description of problem:
During the stage2 bootstrap we experience the following FTBFS caused by the zos-remote plugin that requires <lber.h> header.

----
Making all in zos-remote
make[5]: Entering directory '/stage2/builds/audit/audisp/plugins/zos-remote'
gcc -DHAVE_CONFIG_H -I. -I/stage2/rpmbuild/BUILD/audit-2.4.2/audisp/plugins/zos-remote -I../../.. -I/stage2/rpmbuild/BUILD/audit-2.4.2 -I/stage2/rpmbuild/BUILD/audit-2.4.2/li
/stage2/rpmbuild/BUILD/audit-2.4.2/audisp/plugins/zos-remote/zos-remote-plugin.c:39:18: fatal error: lber.h: No such file or directory
 #include <lber.h>
                  ^
compilation terminated.
Makefile:461: recipe for target 'audispd_zos_remote-zos-remote-plugin.o' failed
make[5]: *** [audispd_zos_remote-zos-remote-plugin.o] Error 1
----

However, the zos-remote plugin is not required in stage2 and we have to disable the plugin with the following sed call in order to get over the issue:

sed -i 's|zos-remote||g' $SRC/audit-*/audisp/plugins/Makefile.in


The missing header should be caught by the configure checks and it would be nice to make the zos-remote plugin optional with the --disable-zos or similar switch so that we don't have to pull unnecessary dependencies.

The problem has been discussed a half year ago here:
https://www.redhat.com/archives/linux-audit/2014-September/msg00046.html

It would be great, if you could fix that and propagate the patch upstream.


Version-Release number of selected component (if applicable):
audit-2.4.2-1.fc21

How reproducible:
always

Comment 1 Steve Grubb 2015-07-14 22:06:30 UTC
Fixed in upstream commit 1091.

Comment 2 Fedora Update System 2015-07-17 00:29:23 UTC
audit-2.4.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/audit-2.4.3-1.fc21

Comment 3 Fedora Update System 2015-07-18 01:59:46 UTC
Package audit-2.4.3-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audit-2.4.3-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11692/audit-2.4.3-1.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-07-29 01:56:43 UTC
audit-2.4.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.